### Method

# Gimp Config serialize_property_by_name

since: 2.6

#### Declaration [src]

    gboolean
    gimp_config_serialize_property_by_name (
      GimpConfig* config,
      const gchar* prop_name,
      GimpConfigWriter* writer
    )

#### Description [src]

This function serializes a single object property to the `writer`.

Available since: 2.6

#### Parameters

`prop_name`

  Type: `const gchar*`

  The property’s name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`writer`

  Type: `GimpConfigWriter`

  A `GimpConfigWriter`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if serialization succeeded, `FALSE` otherwise.